# Uses of Class
net.sourceforge.jiu.ops.OperationFailedException

Packages that use OperationFailedException
Package
Description
net.sourceforge.jiu.codecs
net.sourceforge.jiu.codecs.jpeg
net.sourceforge.jiu.codecs.tiff
net.sourceforge.jiu.color
net.sourceforge.jiu.color.adjustment
net.sourceforge.jiu.color.quantization
net.sourceforge.jiu.ops

## Uses of OperationFailedException in net.sourceforge.jiu.codecs

Subclasses of OperationFailedException in net.sourceforge.jiu.codecs
Modifier and Type
Class
Description
`class`
`InvalidFileStructureException`
This exception is thrown during image loading, when the decoding process is made impossible by errors in the image file.
`class`
`InvalidImageIndexException`
This exception is thrown when the caller has defined an image index that specifies the image to be loaded in a multiple-image file and that index is unavailable.
`class`
`UnsupportedCodecModeException`
This exception is thrown when a codec does not support the codec mode wanted by the user.
`class`
`UnsupportedTypeException`
This exception is thrown during image loading.
`class`
`WrongFileFormatException`
This exception is thrown during image loading.
Methods in net.sourceforge.jiu.codecs that throw OperationFailedException
Modifier and Type
Method
Description
`private void`
BMPCodec.`load()`
`private void`
PalmCodec.`load()`
`private void`
RASCodec.`load()`
Loads an image from an RAS input stream.
`private void`
BMPCodec.`loadHeader()`
`private void`
BMPCodec.`loadStream()`
`private void`
BMPCodec.`loadUncompressedBilevelStream()`
`private void`
BMPCodec.`loadUncompressedStream()`
`void`
BMPCodec.`process()`
`void`
GIFCodec.`process()`
`void`
IFFCodec.`process()`
`void`
PalmCodec.`process()`
`void`
PCDCodec.`process()`
Checks the parameter and loads an image.
`void`
PNGCodec.`process()`
`void`
PNMCodec.`process()`
`void`
PSDCodec.`process()`
`void`
RASCodec.`process()`
`private void`
BMPCodec.`save()`
`private void`
GIFCodec.`save()`
`private void`
PalmCodec.`save()`

## Uses of OperationFailedException in net.sourceforge.jiu.codecs.jpeg

Methods in net.sourceforge.jiu.codecs.jpeg that throw OperationFailedException
Modifier and Type
Method
Description
`private void`
JPEGCodec.`load()`
`void`
JPEGCodec.`process()`

## Uses of OperationFailedException in net.sourceforge.jiu.codecs.tiff

Methods in net.sourceforge.jiu.codecs.tiff that throw OperationFailedException
Modifier and Type
Method
Description
`void`
TIFFCodec.`process()`

## Uses of OperationFailedException in net.sourceforge.jiu.color

Methods in net.sourceforge.jiu.color that throw OperationFailedException
Modifier and Type
Method
Description
`static PixelImage`
Invert.`invert(PixelImage inputImage)`
Helper method to return an inverted image from the argument image.

## Uses of OperationFailedException in net.sourceforge.jiu.color.adjustment

Methods in net.sourceforge.jiu.color.adjustment that throw OperationFailedException
Modifier and Type
Method
Description
`private void`
EqualizeHistogram.`initTables(IntegerImage in)`
`private void`
NormalizeHistogram.`initTables(IntegerImage in)`
Constructors in net.sourceforge.jiu.color.adjustment that throw OperationFailedException
Modifier
Constructor
Description
``
`EqualizeHistogram(IntegerImage in)`
Creates an object of this class and initializes the lookup tables with the argument input image.
``
`NormalizeHistogram(IntegerImage in)`
Creates an object of this class and initializes the lookup tables with the argument input image.

## Uses of OperationFailedException in net.sourceforge.jiu.color.quantization

Methods in net.sourceforge.jiu.color.quantization that throw OperationFailedException
Modifier and Type
Method
Description
`private RGBColorList`
MedianCutQuantizer.`createColorList(RGB24Image image)`
`private Palette`
PopularityQuantizer.`determinePalette()`
`void`
MedianCutContourRemoval.`process()`
`void`
MedianCutQuantizer.`process()`
`void`
PopularityQuantizer.`process()`

## Uses of OperationFailedException in net.sourceforge.jiu.ops

Subclasses of OperationFailedException in net.sourceforge.jiu.ops
Modifier and Type
Class
Description
`class`
`MissingParameterException`
Exception class to indicate that an operation's parameter is missing (has not been specified by caller and there was no default value that could be used).
`class`
`WrongParameterException`
Exception class to indicate that an operation's parameter is of the wrong type, does not fall into a valid interval or a similar mistake.
Methods in net.sourceforge.jiu.ops that throw OperationFailedException
Modifier and Type
Method
Description
`void`
Operation.`process()`
This method does the actual work of the operation.